//-----------------------------------------------------------------------------
// Effect File Variables
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Vertex Definitions
//-----------------------------------------------------------------------------

struct vertex
{
	float3 position : POSITION;
	float4 color    : COLOR;
};

struct fragment
{
	float4 position : POSITION;
	float4 color    : COLOR;
};

struct pixel
{
	float4 color : COLOR;
};

//-----------------------------------------------------------------------------
// Simple Vertex Shader
//-----------------------------------------------------------------------------

fragment VS( vertex IN )
{
	fragment OUT;

	OUT.position = float4(IN.position.x, IN.position.y, 0.0, 1.0);
	OUT.color = IN.color;

	return OUT;
}

//-----------------------------------------------------------------------------
// Simple Pixel Shader
//-----------------------------------------------------------------------------

pixel PS( fragment IN )
{
	pixel OUT;

	OUT.color = IN.color;
	
	return OUT;
}

//-----------------------------------------------------------------------------
// Image Processing Technique
//-----------------------------------------------------------------------------

technique Thresh
{
	pass Pass0
	{
		VertexShader = compile vs_1_1 VS();
		PixelShader  = compile ps_1_1 PS();
	}
}

