//--------------------------------------------------------------------------------
// default.fx
//
//           
//--------------------------------------------------------------------------------

float4x4 Transform : WorldViewProjection;
float4 Material : ObjectParm0 = float4( 0.5f, 0.5f, 0.5f, 0.5f);
//-----------------------------------------------------------------------------
struct vertex
{
    float3 position	 : POSITION;
};
//-----------------------------------------------------------------------------
struct fragment
{
    float4 position  : POSITION;
    float4 color     : COLOR;
};
//-----------------------------------------------------------------------------
struct pixel
{
	float4 color : COLOR;
};
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
fragment VS( vertex IN )
{
    fragment OUT;

	OUT.position = mul( float4(IN.position, 1), Transform );
	OUT.color = Material;

	return OUT;
}
//-----------------------------------------------------------------------------
pixel PS( fragment IN )
{
    pixel OUT;

	OUT.color = IN.color;

    return OUT;
}
//-----------------------------------------------------------------------------
technique T0
{
    pass P0
    {
		ZFunc = Less;
		//FillMode = Wireframe;
   		VertexShader = compile vs_1_1 VS();
		PixelShader  = compile ps_1_1 PS();
    }
}
//-----------------------------------------------------------------------------